System.ServiceModel 4.0.0.0 System.ServiceModel.Configuration.BindingElementExtensionElement

Encoding is the process of transforming a set of Unicode characters into a sequence of bytes.

The class represents the configuration section that specifies the character encoding and message versioning used for binary-based XML messages. The binary message encoder encodes indigo2 messages in binary on the wire. While this encoding results in very fast transmission of messages, interoperability based on the WS-* standards is lost.

The class represents the configuration section that specifies the character encoding and message versioning used for a message using a Message Transmission Optimization Mechanism (MTOM) encoding. MTOM is an efficient technology for transmitting binary data in indigo2 messages. The MTOM encoder attempts to balance between efficiency and interoperability. The MTOM encoding transmits most XML in textual form, but optimizes large blocks of binary data by transmitting them as-is, without conversion to text.

The class represents a configuration section that specifies a text encoder used to create text-based messages on the wire. Messages produced by this encoder are suitable for WS-* based interoperability. Web service or Web service client can generally understand textual XML. However, transmitting large blocks of binary data as text is the least efficient method for encoding XML messages.

Represents a message encoder that encodes indigo1 messages in binary on the wire. This class cannot be inherited.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.Void `` To be added. To be added.

  Applies the content of a specified binding element to this binding configuration section.

- Property
  4.0.0.0
  System.Type To be added. To be added.

  Gets the type of this binding element.

- Method
  4.0.0.0
  System.Void `` To be added. To be added.

  Copies the content of the specified configuration section to this configuration section.

- Method
  4.0.0.0
  System.ServiceModel.Channels.BindingElement To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("maxReadPoolSize", DefaultValue=Mono.Cecil.CustomAttributeArgument, Options=System.Configuration.ConfigurationPropertyOptions.None)
  System.Configuration.IntegerValidator(ExcludeRange=false, MaxValue=2147483647, MinValue=1)
  System.Int32 To be added.

  Larger pool sizes make the system more tolerant to activity spikes at the cost of a larger working set.

  Gets or sets a value that specifies the maximum number of messages that can be read simultaneously without allocating new readers.

- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("maxSessionSize", DefaultValue=Mono.Cecil.CustomAttributeArgument, Options=System.Configuration.ConfigurationPropertyOptions.None)
  System.Configuration.IntegerValidator(ExcludeRange=false, MaxValue=2147483647, MinValue=0)
  System.Int32 To be added.

  A larger buffer increases encoding speed at the expense of the size of the working set.

  Gets or sets a value that specifies the size, in bytes, of the buffer used for encoding.

- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("maxWritePoolSize", DefaultValue=Mono.Cecil.CustomAttributeArgument, Options=System.Configuration.ConfigurationPropertyOptions.None)
  System.Configuration.IntegerValidator(ExcludeRange=false, MaxValue=2147483647, MinValue=1)
  System.Int32 To be added.

  Larger pool sizes make the system more tolerant to activity spikes at the cost of a larger working set.

  Gets or sets a value that specifies the maximum number of messages that can be sent simultaneously without allocating new writers.

- Property
  4.0.0.0
  System.Configuration.ConfigurationPropertyCollection To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("readerQuotas", Options=System.Configuration.ConfigurationPropertyOptions.None)
  System.ServiceModel.Configuration.XmlDictionaryReaderQuotasElement To be added.

  The complexity constraints include items such as a maximum element depth, a maximum length for string content within the message. The constraints protect against a class of denial of service (DOS) attacks that attempt to use message complexity to tie up endpoint processing resources.

  Gets or sets constraints on the complexity of SOAP messages that can be processed by endpoints configured with this binding.